Package tigase.auth.mechanisms

## Class TigaseSaslServerFactory

- java.lang.Object
- - tigase.auth.mechanisms.TigaseSaslServerFactory

- All Implemented Interfaces:
    `javax.security.sasl.SaslServerFactory`

      @Bean(name="tigaseSaslServerFactory",
            parent=TigaseSaslProvider.class,
            active=true)
      public class TigaseSaslServerFactory
      extends java.lang.Object
      implements javax.security.sasl.SaslServerFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ANONYMOUS_MECHANISM_ALLOWED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TigaseSaslServerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.security.sasl.SaslServer` | `createSaslServer​(java.lang.String mechanism, java.lang.String protocol, java.lang.String serverName, java.util.Map<java.lang.String,​?> props, javax.security.auth.callback.CallbackHandler callbackHandler)` |
    `java.lang.String[]` | `getMechanismNames​(java.util.Map<java.lang.String,​?> props)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANONYMOUS_MECHANISM_ALLOWED

          public static final java.lang.String ANONYMOUS_MECHANISM_ALLOWED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TigaseSaslServerFactory

          public TigaseSaslServerFactory()

  - ### Method Detail

    - #### createSaslServer

          public javax.security.sasl.SaslServer createSaslServer​(java.lang.String mechanism,
                                                                 java.lang.String protocol,
                                                                 java.lang.String serverName,
                                                                 java.util.Map<java.lang.String,​?> props,
                                                                 javax.security.auth.callback.CallbackHandler callbackHandler)
                                                          throws javax.security.sasl.SaslException

      Specified by:
        `createSaslServer` in interface `javax.security.sasl.SaslServerFactory`
      Throws:
        `javax.security.sasl.SaslException`

    - #### getMechanismNames

          public java.lang.String[] getMechanismNames​(java.util.Map<java.lang.String,​?> props)

      Specified by:
        `getMechanismNames` in interface `javax.security.sasl.SaslServerFactory`